Bug 85369 - port comms/hylafax will not send e-mail notifications
port comms/hylafax will not send e-mail notifications
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: lawrance
Depends on:
  Show dependency treegraph
Reported: 2005-08-28 09:30 UTC by philk
Modified: 2005-11-10 04:00 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description philk 2005-08-28 09:30:15 UTC
The comms/hylafax notification program notify(8) uses awk to format the
e-mail notification.

The awk script is not compatible with the /usr/bin/awk in the base system
and only works with the gawk port.


The temporary fix is to install the lang/gawk port, then manually edit
/var/spool/hylafax/etc/setup.cache and change the AWK path to point to the
gawk executable.

The permanent fix is to make comms/hylafax dependent on lang/gawk and then
ensure that gawk gets selected as the awk program as part of configure.
Install the comms/hylafax port, then:

# /var/spool/hylafax/bin/notify doneq/q19 done 60
/usr/bin/awk: illegal primary in regular expression * at
 source line number 37
 context is
                          >>>  gsub("*","",status) <<< ;
[: -gt: unexpected operator
sendmail: fatal: No recipient addresses found in message header
Comment 1 lawrance freebsd_committer 2005-09-04 17:25:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Comment 2 lawrance freebsd_committer 2005-09-07 12:47:22 UTC
Dear maintainer of FreeBSD port comms/hylafax,

Can you please investigate this PR:

Phil, can you supply a patch to fix the port?
Comment 3 lawrance freebsd_committer 2005-09-07 12:47:42 UTC
State Changed
From-To: open->feedback

Asked maintainer and submitter for feedback
Comment 4 lawrance freebsd_committer 2005-09-28 09:06:53 UTC
State Changed
From-To: feedback->analyzed

Maintainer timeout
Comment 5 lawrance freebsd_committer 2005-11-10 04:00:24 UTC
State Changed
From-To: analyzed->closed

A fix was committed.